/*
** Copyright (C) 1999,2000 Toivo Pedaste <toivo@ucs.uwa.edu.au>
**
*/

/*
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program in a file called COPYING; if not, write to
** the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
** MA 02110-1301, USA.
*/

/*
** Bug reports and questions can be sent to kde-devel@kde.org
*/



#include "../config.h"
#include <kprocess.h>
#include <kdialog.h> 
#include <tqobject.h> 
#include <tqtimer.h>

#ifndef PROCBUF
#define PROCBUF

class Modal : public KDialog {
  Q_OBJECT
  
public:
  Modal(TQString msg, TQWidget *parent, const char * name );
  void terminate();
};

class procbuf: public TQObject
{
  Q_OBJECT
  

public:
  procbuf();
  ~procbuf();
  void setup(TQString);
  int start(TQString  msg, bool errorDlg = TRUE,
	    int timeout=0, TQString timeMsg = "");

  TQString buf;
  TDEProcess *proc; 
  Modal *m;
  TQString command;
  bool timed;
  TQTimer *tm;

public slots:
  void slotReadInfo(TDEProcess *, char *, int);
  void slotExited(TDEProcess *);
  void slotTimeout();
};
#endif
